Package relaxngcc.automaton

# Class Alphabet.Text

java.lang.Object
relaxngcc.automaton.Alphabet
relaxngcc.automaton.Alphabet.Text

Direct Known Subclasses:
  `Alphabet.DataText`, `Alphabet.ValueText`

Enclosing class:
  `Alphabet`

public abstract static class Alphabet.Text extends Alphabet

## Nested Class Summary

## Nested classes/interfaces inherited from class relaxngcc.automaton.Alphabet

`Alphabet.DataText, Alphabet.EnterAttribute, Alphabet.EnterElement, Alphabet.ForAction, Alphabet.Fork, Alphabet.LeaveAttribute, Alphabet.LeaveElement, Alphabet.Markup, Alphabet.Ref, Alphabet.Text, Alphabet.ValueText`

## Field Summary

### Fields inherited from class relaxngcc.automaton.Alphabet

`_locator, DATA_TEXT, ENTER_ATTRIBUTE, ENTER_ELEMENT, FOR_ACTION, FORK, LEAVE_ATTRIBUTE, LEAVE_ELEMENT, REF_BLOCK, VALUE_TEXT`

## Method Summary

Modifier and Type
Method
Description
`Alphabet.Text`
`asText()`
`boolean`
`equals(Object o)`
`String`
`getAlias()`
`Datatype`
`getDatatype()`
`int`
`hashCode()`

### Methods inherited from class relaxngcc.automaton.Alphabet

`asDataText, asEnterAttribute, asEnterElement, asForAction, asFork, asLeaveAttribute, asLeaveElement, asMarkup, asRef, asValueText, getType, isDataText, isEnterAttribute, isEnterElement, isForAction, isFork, isLeaveAttribute, isLeaveElement, isMarkup, isRef, isText, isValueText, printLocator`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### asText

public Alphabet.Text asText()

Overrides:
  `asText` in class `Alphabet`

### getDatatype

public Datatype getDatatype()

### getAlias

public String getAlias()

### hashCode

public int hashCode()

Specified by:
  `hashCode` in class `Alphabet`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Alphabet`